select *
from waterOrder;

select a.*, c.watersourcetypeID, c.watersharecategoryID
from inventory a,
        waterorder b,
        watertypeuser c
where b.inventoryID = a.inventoryID
        and c.watertypeuserID = a.watertypeuserID;

select a.*, c.watersourcetypeID, c.watersharecategoryID
from inventory a,
        waterorder b,
        watertypeuser c,
        waterlease d
where b.inventoryID = a.inventoryID
        and d.waterleaseID = a.waterleaseID
        and c.watertypeuserID = d.watertypeuserID;


-- inventory transfer watertypeuser
select sum( c.waterOrder ),
        sum( a.inventory )
from inventory a,
        watertypeuser b,
        waterorder c,
        waterinventorytransfer d
where c.inventoryID = a.inventoryID
        and d.inventoryID = a.inventoryID
        and b.watertypeuserID = a.watertypeuserID
        and b.watersourcetypeID = 16
        and b.watersharecategoryID in ( 1, 2 )
        and a.Reason like '%BTI(IT)%';


-- inventory transfer waterlease
select sum( c.waterOrder ),
        sum( a.inventory )
from inventory a,
        watertypeuser b,
        waterorder c,
        waterinventorytransfer d,
        waterlease e
where c.inventoryID = a.inventoryID
        and d.inventoryID = a.inventoryID
        and e.waterleaseID = a.waterleaseID
        and b.watertypeuserID = a.watertypeuserID
        and b.watersourcetypeID = 16
        and b.watersharecategoryID in ( 1, 2 )
        and a.Reason like '%BTI(IT)%';



