
select a.nameL as Last, 
	a.nameF as First, 
	a.nameM as M,
	sum( b.waterAcreFt ) as typeA,
	sum( e.waterAcreFt ) as typeB
from users a, 
	WaterTypeUser b, 
	WaterSourceType c, 
	WaterType d,
	WaterTypeUser e,
	WaterSourceType f, 
	WaterType g
where b.userID = a.userID
and e.userID = a.userID
and ( ( d.name = 'A Water'
	and c.watertypeID = d.waterTypeID
	and b.watersourcetypeID = c.watersourcetypeID )
	AND ( g.name = 'B Water'
		and f.watertypeID = g.waterTypeID
		and e.watersourcetypeID = f.watersourcetypeID ) )
or ( ( d.name = 'A Water'
	and c.watertypeID = d.waterTypeID
	and b.watersourcetypeID = c.watersourcetypeID )
	and ( select sum( h.waterAcreFt )
		from WaterTypeUser h,
			WaterSourceType i,
			WaterType j
		where h.userID = a.userID
		and j.name = 'B Water'
		and i.watertypeID = j.waterTypeID
		and h.watersourcetypeID = i.watersourcetypeID ) is null
	)
group by a.nameL, a.nameF, a.nameM
order by a.nameL, a.nameF, a.nameM;

select sum( h.waterAcreFt )
from WaterTypeUser h,
	WaterSourceType i,
	WaterType j
where h.userID = 2
and j.name = 'B Water'
and i.watertypeID = j.waterTypeID;

