--delete from watercertificate;
--delete from watercertificatecomment;
--delete from watercertificatehist;
--delete from watercertificateinventory;
--delete from watertypeuseroriginal;
--delete from watertypeuser where actioncd = 'Cert';
--delete from watertypeuserhist where actioncd = 'Cert';



select b.name, c.name
from watersourcetype a,
        watersource b,
        watertype c
where b.watersourceID = a.watersourceID
        and c.watertypeID = a.watertypeID
order by b.name, c.name;

select sum( a.waterorder )
from waterorder a
where ( a.userID in ( select b.watertypeuserID
                                from watertypeuser b
                                where b.watertypeuserID = a.userID )
            and a.userID in ( select c.watertypeuserID
                                        from watercertificateinventory c
                                        where c.watertypeuserID = a.userID ) )
        or ( a.waterleaseID in ( select d.waterleaseID
                                from waterlease d
                                where d.waterleaseID = a.waterleaseID )
            and a.waterleaseID in ( select e.waterleaseID
                                        from watercertificateinventory e
                                        where e.waterleaseID = a.waterleaseID ) )
        or ( a.inventoryID in ( select f.inventoryID
                                from inventory f
                                where f.inventoryID = a.inventoryID )
            and a.inventoryID in ( select g.inventoryID
                                        from watercertificateinventory g
                                        where g.inventoryID = a.inventoryID ) )
;



select *
from users;

select *
from watercertificate;

select *
from watercertificatehist;

select *
from watercertificateinventory;


select *
from watertypeuser;

select *
from waterinventorytransfer;

select sum(waterorder)
from waterorder;

select *
from watertypehist;

select a.*
from watertypeuser a,
        watercertificateinventory b
where b.watertypeuserID = a.watertypeuserID
order by a.userID;


select a.*
from watertypeuserhist a,
        watercertificateinventory b
where b.watertypeuserID = a.watertypeuserID
order by a.userID;

select a.*
from watertypeuser a,
        watercertificateinventory b
where b.watertypeuserID = a.watertypeuserID;

select *
from watertypeuseroriginal;

select *
from watercertificatecomment
order by watercertificateid;

select *
from watertypeuserhist;

select b.addr_ln_2 as Name,
        a.certificateName as ID,
        b.addr_ln_2 as Source,
        a.amtShares as Shares,
        a.dtTo
from watercertificate a,
        users b
where b.userID = a.userIDTo
order by b.nameL, b.nameF, b.nameM, a.certificateName;



-------------------------------

select *
from watercertificateinventory;

select *
from watertypeuser
order by userID, watertypeuserID;

select *
from watertypeuserhist
order by userID, watertypeuserID;

select *
from watertypeuseroriginal;

select *
from watersharecategory;

select *
from watersourcetype;


select *
from watertype;

select *
from waterorder;

select *
from users;

select *
from waterinventorytransfer;


-----------------------------
insert into watercertificatehist
( watercertificateID,
        watertypeuserID,
        waterleaseID,
        inventoryID,
        waterinventorytransferID,
        userIDFrom,
        dtFrom,
        userIDTo,
        dtTo,
        watertypeID,
        watersourceID,
        watersharecategoryID,
        certificateName,
        amtBuy,
        amtSell,
        amtShares,
        amtUoM,
        amtVal,
        amtShareAllocation,
        certificateType,
        active,
        strt_dt,
        end_dt,
        updt_dt,
        watercertificateIDSplitFrom,
        watercertificateIDCombineTo
)
values ( 10,
         -1,
         -1,
         -1,
         -1,
         2,
         CDate( '11/16/2009' ),
         1,
         CDate( '11/16/2009' ),
         -1,
         -1,
         -1,
         'MonteElliottID',
         .0000,
         .0000,
         9990.0000,
         .0000,
         1010100.0000,
         .0000,
         'Primary',
         1,
         CDate( '11/16/2009' ),
         CDate( '11/16/2009' ),
         CDate( '12/02/2009' ),
         -1,
         -1 )

-------------------------------------------------
-------------------------------------------------
--delete from waterlease a
where a.watertypeuserID =
    ( select b.watertypeuserID
        from watercertificateinventory b
        where b.watertypeuserID = a.watertypeuserID
        and b.bValid <> 1 );
    //
--delete from watertypeuser a
where a.watertypeuserID =
    ( select b.watertypeuserID
        from watercertificateinventory b
        where b.watertypeuserID = a.watertypeuserID
        and b.bValid <> 1 );
    //
--delete from watercertificateinventory
where bValid <> 1;




select *
from users;

select *
from watercertificate;

select *
from watercertificateinventory;

select *
from watertypeuser;

select *
from waterlease;

select *
from waterinventorytransfer;


{"select bValid from watercertificateinventory where watertypeuserID = 345 );

select c.active
from waterlease a,
        watercertificateinventory b,
        watercertificate c
where a.waterleaseID = 5
        and b.watertypeuserID = a.watertypeuserID
        and c.watercertificateID = b.watercertificateID;


select *
from volumes
order by watertypeID, watersourceID;



select
    a.userID,
    a.waterleaseID,
    a.inventoryID,
    a.waterOrder
from WaterOrder a
where ( ( a.userID > 0
        and a.userID in
        ( select f.watertypeuserID
            from watertypeuser f
            where f.watersourcetypeID in( 1, 2, 3, 4 )
         )
     )
    or
    ( a.waterleaseID > 0
        and a.waterleaseID in
        ( select g.waterleaseID
            from waterlease g,
            watertypeuser h
            where g.waterleaseID = a.waterleaseID
            and h.watertypeuserID = g.watertypeuserID
            and h.watersourcetypeID in( 1, 2, 3, 4 )
        )
    )
    or
    ( a.inventoryID > 0
        and ( a.inventoryID in (
                select o.inventoryID
                from inventory o,
                watertypeuser p
                where o.inventoryID = a.inventoryID
                and p.watertypeuserID = o.watertypeuserID
                and p.watersourcetypeID in( 1, 2, 3, 4 )
            )
        or
            a.inventoryID in (
                select q.inventoryID
                from inventory q,
                    waterlease r,
                    watertypeuser s
                where q.inventoryID = a.inventoryID
                    and r.waterleaseID = q.waterleaseID
                    and s.watertypeuserID = r.watertypeuserID
                    and s.watersourcetypeID in( 1, 2, 3, 4 )
             )
        ) )
    );


select
    sum( a.waterOrder )
from WaterOrder a
where ( ( a.userID > 0
        and a.userID in
        ( select f.watertypeuserID
            from watertypeuser f
            where f.watersourcetypeID in( 1, 2, 3, 4 )
         )
     )
    or
    ( a.waterleaseID > 0
        and a.waterleaseID in
        ( select g.waterleaseID
            from waterlease g,
            watertypeuser h
            where g.waterleaseID = a.waterleaseID
            and h.watertypeuserID = g.watertypeuserID
            and h.watersourcetypeID in( 1, 2, 3, 4 )
        )
    )
    or
    ( a.inventoryID > 0
        and ( a.inventoryID in (
                select o.inventoryID
                from inventory o,
                watertypeuser p
                where o.inventoryID = a.inventoryID
                and p.watertypeuserID = o.watertypeuserID
                and p.watersourcetypeID in( 1, 2, 3, 4 )
            )
        or
            a.inventoryID in (
                select q.inventoryID
                from inventory q,
                    waterlease r,
                    watertypeuser s
                where q.inventoryID = a.inventoryID
                    and r.waterleaseID = q.waterleaseID
                    and s.watertypeuserID = r.watertypeuserID
                    and s.watersourcetypeID in( 1, 2, 3, 4 )
             )
        ) )
    );

------------------------------------
select
    a.userID,
    a.waterleaseID,
    a.inventoryID,
    a.waterOrder
from WaterOrder a
where a.strt_dt <= CDate( '02/01/2010' )
    and a.end_dt >= CDate( '02/01/2010' )
    and ( ( a.userID > 0
        and a.userID in
        ( select f.watertypeuserID
            from watertypeuser f
            where f.watersourcetypeID in( 1, 2, 3, 4 )
         )
     )
    or
    ( a.waterleaseID > 0
        and a.waterleaseID in
        ( select g.waterleaseID
            from waterlease g,
            watertypeuser h
            where g.waterleaseID = a.waterleaseID
            and h.watertypeuserID = g.watertypeuserID
            and h.watersourcetypeID in( 1, 2, 3, 4 )
        )
    )
    or
    ( a.inventoryID > 0
        and ( a.inventoryID in (
                select o.inventoryID
                from inventory o,
                watertypeuser p
                where o.inventoryID = a.inventoryID
                and p.watertypeuserID = o.watertypeuserID
                and p.watersourcetypeID in( 1, 2, 3, 4 )
            )
        or
            a.inventoryID in (
                select q.inventoryID
                from inventory q,
                    waterlease r,
                    watertypeuser s
                where q.inventoryID = a.inventoryID
                    and r.waterleaseID = q.waterleaseID
                    and s.watertypeuserID = r.watertypeuserID
                    and s.watersourcetypeID in( 1, 2, 3, 4 )
             )
        ) )
    );



select *
from waterOrder
order by strt_dt, end_dt;

select sum( waterOrder )
from waterOrder;

select *
from volumes
order by volume_dt;

select a.watersourcetypeID, a.watersourceID, a.watertypeID, b.name, c.name
from watersourcetype a,
        watersource b,
        watertype c
where b.watersourceID = a.watersourceID
        and c.watertypeID = a.watertypeID;

select * from inventory;



-------------------------------------

select
    a.userID,
    a.waterleaseID,
    a.inventoryID,
    a.waterOrder
from WaterOrder a,
        watersourcetype b
where ( ( a.strt_dt <= CDate( '01/01/2010 00:00:00' )
        and a.end_dt >= CDate( '01/01/2010 23:59:59' )
        ) or not exists
            ( select t.volume_dt
                from volumes t
                where t.volume_dt >= a.strt_dt
                    and t.volume_dt <= a.end_dt
                    and a.strt_dt > CDate( '01/01/2010 23:59:59' )
            )
        )
        and ( ( a.userID > 0
                and a.userID in
                ( select f.watertypeuserID
                from watertypeuser f
                where f.watertypeuserID = a.userID
                    and b.watersourcetypeID = f.watersourcetypeID
                    and b.watersourceID in ( 4 )
                )
            )
        or
            ( a.waterleaseID > 0
            and a.waterleaseID in
            ( select g.waterleaseID
                from waterlease g,
                    watertypeuser h
                where g.waterleaseID = a.waterleaseID
                    and h.watertypeuserID = g.watertypeuserID
                    and b.watersourcetypeID = h.watersourcetypeID
                    and b.watersourceID in ( 4 )
            )
        )
        or (
            a.inventoryID > 0
            and ( a.inventoryID in (
            select o.inventoryID
                from inventory o,
                    watertypeuser p
                where o.inventoryID = a.inventoryID
                    and p.watertypeuserID = o.watertypeuserID
                    and b.watersourcetypeID = p.watersourcetypeID
                    and b.watersourceID in ( 4 )
            )
        or
            a.inventoryID in (
            select q.inventoryID
            from inventory q,
                waterlease r,
                watertypeuser s
            where q.inventoryID = a.inventoryID
                and r.waterleaseID = q.waterleaseID
                and s.watertypeuserID = r.watertypeuserID
                and b.watersourcetypeID = s.watersourcetypeID
                and b.watersourceID in ( 4 )
            ) ) )
        )
;

select
    sum( a.waterOrder )
from WaterOrder a,
        watersourcetype b
where ( ( a.strt_dt <= CDate( '01/01/2010 00:00:00' )
        and a.end_dt >= CDate( '01/01/2010 23:59:59' )
        ) or not exists
            ( select t.volume_dt
                from volumes t
                where t.volume_dt >= a.strt_dt
                    and t.volume_dt <= a.end_dt
                    and a.strt_dt > CDate( '01/01/2010 23:59:59' )
            )
        )
        and ( ( a.userID > 0
                and a.userID in
                ( select f.watertypeuserID
                from watertypeuser f
                where f.watertypeuserID = a.userID
                    and b.watersourcetypeID = f.watersourcetypeID
                    and b.watersourceID in ( 4 )
                )
            )
        or
            ( a.waterleaseID > 0
            and a.waterleaseID in
            ( select g.waterleaseID
                from waterlease g,
                    watertypeuser h
                where g.waterleaseID = a.waterleaseID
                    and h.watertypeuserID = g.watertypeuserID
                    and b.watersourcetypeID = h.watersourcetypeID
                    and b.watersourceID in ( 4 )
            )
        )
        or (
            a.inventoryID > 0
            and ( a.inventoryID in (
            select o.inventoryID
                from inventory o,
                    watertypeuser p
                where o.inventoryID = a.inventoryID
                    and p.watertypeuserID = o.watertypeuserID
                    and b.watersourcetypeID = p.watersourcetypeID
                    and b.watersourceID in ( 4 )
            )
        or
            a.inventoryID in (
            select q.inventoryID
            from inventory q,
                waterlease r,
                watertypeuser s
            where q.inventoryID = a.inventoryID
                and r.waterleaseID = q.waterleaseID
                and s.watertypeuserID = r.watertypeuserID
                and b.watersourcetypeID = s.watersourcetypeID
                and b.watersourceID in ( 4 )
            ) ) )
        )
;
















